Bug 228357 - java.lang.IllegalStateException: Lexer org.netbeans.modules.el.lexer.ELLexer
java.lang.IllegalStateException: Lexer org.netbeans.modules.el.lexer.ELLexer
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Expression Language
7.3.1
All All
: P3 (vote)
: 7.3.1
Assigned To: Martin Fousek
issues@javaee
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-08 06:18 UTC by Vladimir Riha
Modified: 2013-05-09 13:59 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
IDE log (6.68 KB, text/x-log)
2013-04-08 06:18 UTC, Vladimir Riha
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2013-04-08 06:18:22 UTC
Created attachment 133353 [details]
IDE log

To reproduce, paste following into JSF XHTML page (2.2. GF4, JavaWeb7):


<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html">
    <h:head>
        <title>Facelet Title</title>
    </h:head>
    <h:body>
        Hello from Facelets
        #{"a"}
    </h:body>
</html>



Now place cursor right this

#{"a"|}

and type +

=> ISE


Product Version: NetBeans IDE Dev (Build web-main-javaee7-213-on-20130407)
Updates: Updates available
Java: 1.7.0_17; Java HotSpot(TM) Client VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_17-b32
System: Linux version 3.2.0-39-generic-pae running on i386; UTF-8; en_US (nb)
Comment 1 Martin Fousek 2013-04-10 13:24:34 UTC
Fixed in web-main #a26cf253a77b.
Comment 2 Vladimir Riha 2013-04-11 11:48:33 UTC
Thanks, verified


Product Version: NetBeans IDE Dev (Build web-main-javaee7-226-on-20130410)
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-40-generic-pae running on i386; UTF-8; en_US (nb)
Comment 3 Vladimir Riha 2013-05-09 13:59:40 UTC
patch2 verified

Product Version: NetBeans IDE 7.3.1 (Build 201302132200)
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-41-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo